# Poco::ClassLoader

# class Iterator

Library: Foundation
Package: SharedLibrary
Header: Poco/ClassLoader.h

## Description

The ClassLoader's very own iterator class.

## Member Summary

Member Functions: operator !=, operator *, operator ++, operator =, operator ==, operator->

## Types

### Pair

typedef std::pair < std::string, const Manif * > Pair;

## Constructors

### Iterator

Iterator(
const typename LibraryMap::const_iterator & it
);

### Iterator

Iterator(
const Iterator & it
);

## Destructor

### ~Iterator

~Iterator();

## Member Functions

### operator !=

inline bool operator != (
const Iterator & it
) const;

### operator *

inline const Pair * operator * () const;

### operator ++

Iterator & operator ++ ();

### operator ++

Iterator operator ++ (
int
);

### operator =

Iterator & operator = (
const Iterator & it
);

### operator ==

inline bool operator == (
const Iterator & it
) const;

### operator->

inline const Pair * operator-> () const;